var mymap = L.map("mymap").setView([38.914, 139.838], 15);
L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
  attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(mymap);

var layers = {
  "滑り台": L.layerGroup(),
  "ブランコ": L.layerGroup(),
  "鉄棒": L.layerGroup(),
  "砂場": L.layerGroup(),
  "水道": L.layerGroup(),
  "水飲み場": L.layerGroup(),
  "ジャングルジム": L.layerGroup(),
  "シーソー": L.layerGroup(),
  "ボールリング": L.layerGroup()
};


var parks = [
  {
    name: "天王下公園",
    coords: [38.9219, 139.8431],
    yuugu: ["鉄棒", "滑り台", "ブランコ"],
    image: "images/tennoshita.jpg"
  },
  {
    name: "錦公園",
    coords: [38.8825540052587, 139.83669403097076],
    yuugu: ["鉄棒", "砂場", "滑り台", "ブランコ", "水飲み場"]
  },
  {
    name: "京田2丁目公園",
    coords: [38.878595461576055, 139.83569562406404],
    yuugu: ["水道", "ブランコ"]
  },
  {
    name: "錦町南公園",
    coords: [38.878798001157726, 139.8312941190373],
    yuugu: ["砂場", "水道", "ブランコ", "ジャングルジム"]
  },
  {
    name: "錦町5丁目公園",
    coords: [38.87789387671968, 139.83234822718427],
    yuugu: ["ブランコ", "シーソー", "ボールリング"]
  },
  {
    name: "京田4丁目公園",
    coords: [38.87144565341299, 139.83329504696414],
    yuugu: ["滑り台", "ブランコ"]
  }
];


parks.forEach(function(park) {
  var popup = "<strong>" + park.name + "</strong><br>" +
              "<img src='images/" + park.image + "' alt='" + park.name + "' width='200'><br>" +
              "遊具: " + park.yuugu.join(", ");
  var marker = L.marker(park.coords).bindPopup(popup);

  park.yuugu.forEach(function(y) {
    if (layers[y]) {
      marker.addTo(layers[y]);
    }
  });
});

for (var key in layers) {
  layers[key].addTo(mymap);
}

L.control.layers(null, layers).addTo(mymap);;
